﻿@model MoviesViewModel
@{
    ViewData["Title"] = "Show Movies By Release Year";
}
<h2>@ViewData["Title"]</h2>

<div class="row">
    <div class="col-md-4">
        <section>
            <form asp-controller="Movie" asp-action="ShowMoviesByReleaseYear" method="post">
                <div asp-validation-summary="All" class="text-danger"></div>
                <h4>Choose an year.</h4>
                <hr />
                <span>Enter Release Year: </span> <input id="Text1" type="text" name="txtFirst" /> <br /><br />
                <button type="submit" class="btn btn-default">Search</button>

            </form>
        </section>
    </div>
</div>


@if (Model != null && Model.Movies != null && !Model.Movies.Any())
{
    <h2></h2>
    <p>No results found!</p>
}

@{
    if (Model != null && Model.Movies != null)
    {
        <partial name="_ShowAllMoviesPartial" model="Model" />
    }
}

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}
